define(["handlebars", "tpls", "underscore", "context"], function(Handlebars, Templates, _, Context) {

	var drivers = {
		"mysql": {
			"title": "MySQL"
		},
		"postgresql": {
			"title": "PostgreSQL"
		},
		"redshift": {
			"title": "Redshift"
		}
	};

	Handlebars.registerHelper("drivers", function(activeDriver) {
		_.map(drivers, function(driver, key) {
			if (activeDriver === key) {
				driver.active = true;
			}
		});
		var context = {
			drivers: drivers,
			activeDriver: activeDriver
		};
		var t = Templates["helpers/drivers"](context);
		return new Handlebars.SafeString(t);
	});

	Handlebars.registerHelper('currentdb', function(db, options) {
		if (db === Context.db) {
			return options.fn(this);
		}
		return options.inverse(this);
	});

  Handlebars.registerHelper('eq', function(v1, v2, options) {
    if(v1 === v2) {
      return options.fn(this);
    }
    return options.inverse(this);
  });

  Handlebars.registerHelper('ifthis', function(v1, options) {
    if(v1.toString().toLowerCase() === this.toString().toLowerCase()) {
      return options.fn(this);
    }
    return options.inverse(this);
  });
});
