define(['models/query/filter/condition', 'context'], function (Condition, Context) {
    describe("Condition", function () {
        it("should set default values", function () {
            var c = new Condition();
            expect(c.get("column")).toBe("");
            expect(c.get("operator")).toBe("=");
            expect(c.get("value")).toBe("");
        });
        it("should set correct query string for mysql", function () {
            Context.driver = "mysql";
            var c1 = new Condition({column: "id", operator: ">", value: 1});
            expect(c1.queryString()).toBe("`id` > ?");

            var c2 = new Condition({column: "title", operator: "LIKE", value: "%foo"});
            expect(c2.queryString()).toBe("`title` LIKE ?");

        });
        it("should set correct query string for postgres", function () {
            Context.driver = "postgresql";
            var c1 = new Condition({column: "id", operator: ">", value: 1});
            expect(c1.queryString()).toBe('"id" > ?');

            var c2 = new Condition({column: "title", operator: "LIKE", value: "%foo"});
            expect(c2.queryString()).toBe('"title" LIKE ?');
        });
    });
});